package com.ho.user.service;

import com.ho.user.api.entity.SysUser;
import com.ho.user.api.vo.req.OrderUserSelectReqVo;
import com.ho.user.entity.SysPosition;
import com.ho.user.entity.SysUserPosition;
import com.ho.user.vo.req.UserPostOperationReqVO;

import java.util.ArrayList;
import java.util.List;

/**
 * @author fancl
 * @desc: 用户岗位关联
 * @date 2022/12/6
 */
public interface UserPostService {

    //根据postId删除用户
    int removeByPostId(Integer postId);

    //根据用户id查询 用户的岗位列表
    List<Integer> getPostIdsByUserId(String userId);
    //用户岗位关联
    void addUserPostInfo(UserPostOperationReqVO vo);
    //根据用户Id 删除关联数据
    int removeByUserId(String userId);

    //批量清除关联
    int removeByUserIds(List<String> userIds);

    List<String> getUserIdsByPostIds(List<Integer> postIds);

    //用户岗位列表
    List<SysPosition> getPostListByUserId(String userid);


    List<SysUser> selectUserByPostIds(OrderUserSelectReqVo vo, List<Integer> postIds);

    List<SysUserPosition> getByPostIds(List<Integer> postIds);
}
